(function ($) {
  'use strict';

  /**
   * All of the code for your admin-facing JavaScript source
   * should reside in this file.
   *
   * Note: It has been assumed you will write jQuery code here, so the
   * $ function reference has been prepared for usage within the scope
   * of this function.
   *
   * This enables you to define handlers, for when the DOM is ready:
   *
   * $(function() {
   *
   * });
   *
   * When the window is loaded:
   *
   * $( window ).load(function() {
   *
   * });
   *
   * ...and/or other possibilities.
   *
   * Ideally, it is not considered best practise to attach more than a
   * single DOM-ready or window-load handler for a particular page.
   * Although scripts in the WordPress core, Plugins and Themes may be
   * practising this, we should strive to set a better example in our own work.
   */

  $(document).ready(function ($) {

    $('.js-auto-translate').change(function () {

      var checkboxInput = $(this);
      if (checkboxInput.is(':checked')) {
        set_auto_translate(checkboxInput.val(), 1);
      } else {
        set_auto_translate(checkboxInput.val(), 0);
      }

    });

  });

  function set_auto_translate(id, value) {

    var data = {
      action: 'et_set_auto_translate_action',
      id: id,
      value: value
    };

    $.post(ajaxurl, data, function (response) {
      console.log(response);
    });

  }

})(jQuery);
