<?php

/**
 * The projects page.
 *
 * @package    Easy_Translate
 * @subpackage Easy_Translate/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">
    <h1><?php _e('Projects', EASY_TRANSLATE); ?></h1>
    <?php settings_errors(); ?>
    <div>
        <?php
        foreach ($this->project_list as $project) {
            ?>
            <table class="widefat fixed" cellspacing="0">
                <thead>
                <tr>
                    <th><?= __('Project:', EASY_TRANSLATE) . ' ' . $project['id'] ?></th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td>
                        <ul>
                            <li><?= __('Name:', EASY_TRANSLATE) . ' ' . $project['attributes']['name'] ?></li>
                            <li><?= __('Source language:', EASY_TRANSLATE) . ' ' . $project['attributes']['source_language'] ?></li>
                            <li><?= __('Source content:', EASY_TRANSLATE) . ' ' . $project['attributes']['source_content'] ?></li>
                            <li><?= __('File name:', EASY_TRANSLATE) . ' ' . $project['attributes']['file_name'] ?></li>
                            <li><?= __('Target languages:', EASY_TRANSLATE) . ' ' . implode(', ', $project['attributes']['target_languages']) ?></li>
                            <li><?= __('Status:', EASY_TRANSLATE) . ' ' . $project['attributes']['status'] ?></li>
                            <li><?= __('Created at:', EASY_TRANSLATE) . ' ' . $project['attributes']['created_at'] ?></li>
                        </ul>
                    </td>
                </tr>
                </tbody>
                <?php if($project['attributes']['status'] === 'APPROVAL_NEEDED'): ?>
                <tfoot>
                    <tr>
                        <td>
                            <form method="post">
                                <input type="hidden" name="page" value="<?php echo $_REQUEST['page'] ?>" />
                                <input type="hidden" name="project_id" value="<?php echo $project['id'] ?>" />
                                <div style="display: flex;">
                                    <div style="margin-right: auto; align-self: center;">
                                        <strong><?=__('Approval needed:', EASY_TRANSLATE)?></strong>
                                        <?=__('This project will cost you')?>
                                        <?=$project['attributes']['price']['currency']?> <?=number_format_i18n($project['attributes']['price']['amount'] / 100, 2)?>
                                    </div>
                                    <div style="margin-left: auto;">
                                        <button class="button-primary" type="submit" name="action" value="accept"><?=__('Accept')?></button>
                                        <button class="button-secondary" type="submit" name="action" value="decline"><?=__('Decline')?></button>
                                    </div>
                                </div>
                            </form>
                        </td>
                    </tr>
                </tfoot>
                <?php endif; ?>
            </table>
            <br>
            <?php
        }

        $total = $this->project_meta['last_page'];
        $big = 999999999;
        if ($total > 1) {
            echo paginate_links(array(
                'base' => str_replace($big, '%#%', esc_url(get_pagenum_link($big))),
                'format' => '&paged=%#%',
                'current' => max(1, $this->project_meta['current_page']),
                'total' => $total,
                'type' => 'plain',
            ));
        }
        ?>
    </div>
</div>
