<?php if (($_GET['page'] ?? null) === 'admin-easy-translate-partial-translations') { ?>
  <table class="widefat fixed" cellspacing="0" style="width:100%">
    <thead>
    <tr>
      <th><?= __('String Library', EASY_TRANSLATE) ?></th>
    </tr>
    </thead>
    <tbody>
    <tr>
      <td>
        <button class="button-primary" type="submit" value="sync_to_string_library"
                name="action"><?= __('Sync your strings to EasyTranslate', EASY_TRANSLATE) ?></button>
        <p>This will send all of your strings in all languages to the already selected string library on the Integration
          page. Please note that any changes done on the EasyTranslate platform will be overwritten when doing this
          action. For best results, do your changes and prepare your strings for translation in the WPML editor, and
          then just use this action</p>
        <hr>
        <button class="button-primary" type="submit" value="sync_from_string_library"
                name="action"><?= __('Sync your strings from EasyTranslate', EASY_TRANSLATE) ?></button>
        <p>This will retrieve all of the strings that are on the selected string library on the Integration page. Please
          note that any changes done in the WPML string editor will be overwritten when doing this action. For best
          results, do your changes on the EasyTranslate platform, and then just use this action.</p>
      </td>
    </tr>
    </tbody>
  </table>
  <br class="clear">
<?php } ?>
<table class="widefat fixed" cellspacing="0" style="width:100%">
  <thead>
  <tr>
    <th><?= __('One time translation', EASY_TRANSLATE) ?></th>
  </tr>
  </thead>
  <tbody>
  <tr>
    <td>
      <ul>
          <?php
          /** @var Easy_Translate_Translation_List $this */
          foreach ($this->get_language_name($this->translation_languages) as $lang) {
              ?>
            <li>
              <input type="checkbox" id="target_languages[<?= $lang['code'] ?>]"
                     name="target_languages[<?= $lang['code'] ?>]" value="1"
                     checked="checked">
              <label for="target_languages[<?= $lang['code'] ?>]">
                  <?= __('Translate to', EASY_TRANSLATE) . ' ' . $lang['english_name'] ?> </label>
            </li>
              <?php
          }
          ?>
      </ul>

      <div style="margin-bottom: .5rem;">
        <label for="workflow-type">Select workflow type: </label>
        <select name="workflow" id="workflow-type">
          <option value="translation"><?= __('Translation', EASY_TRANSLATE) ?> (<?= __('default', EASY_TRANSLATE) ?>)
          </option>
            <option value="self+machine_translation" selected="selected"><?= __('Machine Translation', EASY_TRANSLATE) ?></option>
        </select>
      </div>

        <div style="margin-bottom: .5rem;">
            <label for="source_language">Select source language: </label>
            <select name="source_language" id="source_language">
                <option value="<?= $this->source_language ?>" selected="selected"><?= $this->source_language ?> (default)</option>
                <?php
                /** @var Easy_Translate_Translation_List $this */
                foreach ($this->get_language_name($this->translation_languages) as $target_language) { ?>
                    <option value="<?= $target_language['code'] ?>"><?= $target_language['code'] ?></option>
                <?php } ?>
            </select>
            <small>This is an experimental feature. Expect unusual behaviour if the default source language is changed</small>
        </div>

      <button class="button-primary" type="submit" value="translate_strings"
              name="action"><?= __('Send to EasyTranslate', EASY_TRANSLATE) ?></button>
    </td>
  </tr>
  </tbody>
</table>
